Skip to navigation

List Order Messages

Gets the messages associated with an order.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Ordersmodifystore_v2_orders
Ordersread-onlystore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired
ID of the order.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

min_idintegerOptional
The minimum order ID.
max_idintegerOptional
The maximum order ID.
customer_idintegerOptional
Customer ID.
min_date_createdstringOptional

Minimum date the order was created in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

max_date_createdstringOptional

Maximum date the order was created in RFC-2822 or ISO-8601.

RFC-2822: Thu, 20 Apr 2017 11:32:00 -0400

ISO-8601: 2017-04-20T11:32:00.000-04:00

is_flaggedbooleanOptional

Whether the message is flagged.

statusenumOptional
Status of the order message.
Allowed values:
pagedoubleOptionalDefaults to 1
The page to return in the response.
limitdoubleOptionalDefaults to 50
Number of results to return.

Response

A list of order messages.
idintegerOptional
order_idintegerOptional
staff_idintegerOptional
customer_idintegerOptional
typestringOptional
subjectstringOptional
messagestringOptional
statusstringOptional
is_flaggedbooleanOptional
date_createdstringOptional
customerobjectOptional